## gwenview 4.7.4

=== app/CMakeLists.txt ===
include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}/..
	${SOPRANO_INCLUDE_DIR}
	${EXIV2_INCLUDE_DIR}
	${LIBKONQ_INCLUDE_DIR}
	)

if (KIPI_FOUND)
	include_directories(${KIPI_INCLUDE_DIR})
endif (KIPI_FOUND)

# For lib/gwenviewconfig.h and config-gwenview.h
include_directories(
	${CMAKE_CURRENT_BINARY_DIR}/..
	)

set(gwenview_SRCS
	abstractcontextmanageritem.cpp
	configdialog.cpp
	contextmanager.cpp
	gvcore.cpp
	documentinfoprovider.cpp
	documentpanel.cpp
	fileoperations.cpp
	filtercontroller.cpp
	folderviewcontextmanageritem.cpp
	fullscreencontent.cpp
	infocontextmanageritem.cpp
	imagemetainfodialog.cpp
	imageopscontextmanageritem.cpp
	fileopscontextmanageritem.cpp
	main.cpp
	mainwindow.cpp
	preloader.cpp
	saveallhelper.cpp
	savebar.cpp
	sidebar.cpp
	startpage.cpp
	thumbnailviewhelper.cpp
	thumbnailviewpanel.cpp
	)

if (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)
	set (gwenview_SRCS
		${gwenview_SRCS}
		semanticinfocontextmanageritem.cpp
		)
endif (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)

if (KIPI_FOUND)
	set (gwenview_SRCS
		${gwenview_SRCS}
		kipiexportaction.cpp
		kipiimagecollectionselector.cpp
		kipiinterface.cpp
		kipiuploadwidget.cpp
		)
endif (KIPI_FOUND)

kde4_add_ui_files(gwenview_SRCS
	advancedconfigpage.ui
	fullscreenconfigdialog.ui
	generalconfigpage.ui
	imageviewconfigpage.ui
	semanticinfodialog.ui
	startpage.ui
	thumbnailviewpanel.ui
	)

if (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)
kde4_add_ui_files(gwenview_SRCS
	semanticinfosidebaritem.ui
	)
endif (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)

kde4_add_app_icon(gwenview_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/hi*-apps-gwenview.png")

kde4_add_executable(gwenview ${gwenview_SRCS})

target_link_libraries(gwenview
	${KDE4_KFILE_LIBS}
	gwenviewlib
	${KDE4_KIO_LIBS}
	${LIBKONQ_LIBRARY}
	${SOPRANO_LIBRARIES}
	${QT_QTCORE_LIBRARY}
	)

target_link_libraries(gwenview LINK_INTERFACE_LIBRARIES ${KDE4_KIO_LIBS} ${QT_QTCORE_LIBRARY})

if (KIPI_FOUND)
  target_link_libraries(gwenview ${KIPI_LIBRARIES})
endif (KIPI_FOUND)

if (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)
	target_link_libraries(gwenview ${NEPOMUK_LIBRARIES})
endif (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)

install(TARGETS gwenview
	${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES gwenviewui.rc
	DESTINATION ${DATA_INSTALL_DIR}/gwenview)

install(PROGRAMS gwenview.desktop
	DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES slideshow.desktop
	DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus )

## gwenview 4.7.1

=== debian/changelog ===
gwenview (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 15 Sep 2011 22:52:21 +0200

gwenview (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Thu, 08 Sep 2011 12:26:41 -0400

gwenview (4:4.7.0-0ubuntu4) oneiric; urgency=low

  * Build depend on libjpeg-dev again now that libjpeg8-dev no longer provides
    that virtual package
    - update debian/control 

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 31 Jul 2011 20:22:28 -0500

gwenview (4:4.7.0-0ubuntu3) oneiric; urgency=low

  * Set maintainer field to Kubuntu Developers.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 29 Jul 2011 10:43:17 +0200

gwenview (4:4.7.0-0ubuntu2) oneiric; urgency=low

  * Build-depend on libjpeg62-dev instead of the virtual package libjpeg-dev.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 29 Jul 2011 10:37:39 +0200

gwenview (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 22 Jul 2011 21:35:53 -0400

gwenview (4:4.6.90+repack-0ubuntu1) oneiric; urgency=low

  [ Rohan Garg ]
  * Initial release

  [ Felix Geyer ]
  * Repackage tarball to add the full text of the GFDL 1.2 and to add license
    and copyright information to doc/index.docbook.

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 20 Jul 2011 13:46:34 +0200

=== debian/control ===
Source: gwenview
Section: graphics
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 7.0.50~),
               kde-sc-dev-latest (>= 4:4.7.1),
               libexiv2-dev,
               libjpeg-dev,
               libkipi-dev,
               libkonq5-dev,
               pkg-kde-tools,
               shared-desktop-ontologies
Standards-Version: 3.9.2
Homepage: http://www.kde.org
Vcs-Git: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview

Package: gwenview
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdegraphics-libs-data (<< 4:4.6.3-1ubuntu1)
Breaks: kdegraphics-libs-data (<< 4:4.6.3-1ubuntu1)
Suggests: svgpart
Description: image viewer
 Gwenview is an image viewer, ideal for browsing and displaying a collection of
 images.  It is capable of showing images in a full-screen slideshow view and
 making simple adjustments, such as rotating or cropping images.
 .
 This package is part of the KDE graphics module.

Package: gwenview-dbg
Section: debug
Architecture: any
Priority: extra
Depends: gwenview (= ${binary:Version}), kde-runtime-dbg, ${misc:Depends}
Replaces: kdegraphics-dbg (<< 4:4.6.80)
Breaks: kdegraphics-dbg (<< 4:4.6.80)
Description: debugging symbols for the gwenview module
 This package contains debugging files used to investigate problems with
 binaries included in the gwenview module.

## gwenview 4.7.2

=== debian/changelog ===
gwenview (4:4.7.2-1) experimental; urgency=low

  [ Eshat Cakar ]
  * Initial release. Start from the Kubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:46:24 -0300

=== debian/control ===
Source: gwenview
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 libexiv2-dev,
 libjpeg-dev,
 libkipi-dev,
 libkonq5-dev,
 shared-desktop-ontologies
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/gwenview.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/gwenview.git

Package: gwenview
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdegraphics-libs-data (<< 4:4.7.1~)
Breaks: kdegraphics-libs-data (<< 4:4.7.1~)
Suggests: svgpart, kamera
Description: image viewer
 Gwenview is an image viewer, ideal for browsing and displaying a collection of
 images.  It is capable of showing images in a full-screen slideshow view and
 making simple adjustments, such as rotating or cropping images.
 .
 This package is part of the KDE graphics module.

Package: gwenview-dbg
Section: debug
Architecture: any
Priority: extra
Depends: gwenview (= ${binary:Version}), kde-runtime-dbg, ${misc:Depends}
Replaces: kdegraphics-dbg (<< 4:4.7.1~)
Breaks: kdegraphics-dbg (<< 4:4.7.1~)
Description: debugging symbols for the gwenview
 This package contains debugging files used to investigate problems with
 Gwenview.
 .
 This package is part of the KDE graphics module.

## gwenview 4.7.4

=== debian/changelog ===
gwenview (4:4.7.4-1) experimental; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.
  * Add kamera to recommends, so that importing pictures from PTP devices work.

  [ José Manuel Santamaría Lema ]
  * Bump shared-desktop-ontologies build dependency to 0.8.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:35:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,10 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- libexiv2-dev,
- libjpeg-dev,
- libkipi-dev,
- libkonq5-dev,
- shared-desktop-ontologies
+ libexiv2-dev, libjpeg-dev, libkipi-dev, libkonq5-dev,
+ shared-desktop-ontologies (>= 0.8)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/gwenview.git
@@ -21,7 +18,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: kdegraphics-libs-data (<< 4:4.7.1~)
 Breaks: kdegraphics-libs-data (<< 4:4.7.1~)
-Suggests: svgpart, kamera
+Recommends: kamera
+Suggests: svgpart
 Description: image viewer
  Gwenview is an image viewer, ideal for browsing and displaying a collection of
  images.  It is capable of showing images in a full-screen slideshow view and

## gwenview 4.8.2

=== debian/changelog ===
gwenview (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 01 Apr 2012 22:15:40 +0200

gwenview (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 
    - update kubuntu_cmake_jpeg_multiarch_path.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 19:39:18 +0100

gwenview (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release
  * Add kubuntu_cmake_jpeg_multiarch_path.diff so lib/CMakeLists.txt can
    find jconfig.h again

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 23 Jan 2012 19:27:00 +0100

gwenview (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:23 +0000

gwenview (4:4.7.95-0ubuntu1) precise; urgency=low

  [ Philip Muškovac ]
  * New upstream release candiate

  [ Scott Kitterman ]
  * Fix Ubuntu Vcs- header in debian/control

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 18:54:55 +0100

gwenview (4:4.7.90-0ubuntu2) precise; urgency=low

  * Add debian/patches/double_qrealfixes.diff to fix double/qreal
    mismatches that cause FTBFS on armel and armhf

 -- Scott Kitterman <scott@kitterman.com>  Thu, 22 Dec 2011 09:55:03 -0500

gwenview (4:4.7.90-0ubuntu1) precise; urgency=low

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Dec 2011 14:17:54 +0000

gwenview (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:46:55 +0000

gwenview (4:4.7.2-0r2) UNRELEASED; urgency=low

  * Initial release. Start from the Kubuntu packaging, thanks!

 -- Eshat Cakar <info@eshat.de>  Tue, 04 Oct 2011 02:02:21 +0200

gwenview (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #872506)
  * Use wildcard in install file

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 15 Oct 2011 11:10:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,23 @@
 Source: gwenview
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- libexiv2-dev, libjpeg-dev, libkipi-dev, libkonq5-dev,
- shared-desktop-ontologies (>= 0.8)
+ libexiv2-dev,
+ libjpeg-dev,
+ libkipi-dev,
+ libkonq5-dev,
+ shared-desktop-ontologies,
+ libqt4-opengl-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/gwenview.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/gwenview.git
+Vcs-Bzr: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/gwenview.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/gwenview.git
 
 Package: gwenview
 Section: graphics
@@ -18,7 +25,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: kdegraphics-libs-data (<< 4:4.7.1~)
 Breaks: kdegraphics-libs-data (<< 4:4.7.1~)
-Recommends: kamera
 Suggests: svgpart
 Description: image viewer
  Gwenview is an image viewer, ideal for browsing and displaying a collection of

## gwenview 4.8.4

=== debian/changelog ===
gwenview (4:4.8.4-2) unstable; urgency=low

  * Team upload.
  * Backport upstream commit 05511b41913904c36bfd2cccc888ac4c466784f1 to fix
    crash when gathering meta info by catching Exiv2 exceptions; patch
    upstream_Catch-exceptions-from-Exiv2-when-gathering-meta-info.patch.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Jun 2012 19:27:14 +0200

gwenview (4:4.8.4-1) unstable; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.4.
  * Add libqt4-opengl-dev to build-dependecies.
  * Update installed files.
  * Bump Standards-Version to 3.9.3: No further changes.
  * Add watch file.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 06 Jan 2012 12:19:57 +0100

gwenview (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Tue, 06 Mar 2012 21:45:33 +0100

=== debian/control ===
Source: gwenview
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 libexiv2-dev, libjpeg-dev, libkipi-dev, libkonq5-dev,
 shared-desktop-ontologies (>= 0.8), libqt4-opengl-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/gwenview.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/gwenview.git

Package: gwenview
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdegraphics-libs-data (<< 4:4.7.1~)
Breaks: kdegraphics-libs-data (<< 4:4.7.1~)
Recommends: kamera
Suggests: svgpart
Description: image viewer
 Gwenview is an image viewer, ideal for browsing and displaying a collection of
 images.  It is capable of showing images in a full-screen slideshow view and
 making simple adjustments, such as rotating or cropping images.
 .
 This package is part of the KDE graphics module.

Package: gwenview-dbg
Section: debug
Architecture: any
Priority: extra
Depends: gwenview (= ${binary:Version}), kde-runtime-dbg, ${misc:Depends}
Replaces: kdegraphics-dbg (<< 4:4.7.1~)
Breaks: kdegraphics-dbg (<< 4:4.7.1~)
Description: debugging symbols for the gwenview
 This package contains debugging files used to investigate problems with
 Gwenview.
 .
 This package is part of the KDE graphics module.

## gwenview 4.8.5

=== cursors/CMakeLists.txt ===
install(
    FILES zoom.png
    DESTINATION ${DATA_INSTALL_DIR}/gwenview/cursors/
    )

=== lib/CMakeLists.txt ===
project(gwenviewlib)

# Extract version of libjpeg so that we can use the appropriate dir
# See bug #227313
file(READ "${JPEG_INCLUDE_DIR}/jpeglib.h" jpeglib_h_content)
string(REGEX MATCH "#define +JPEG_LIB_VERSION +([0-9]+)" "\\1" jpeglib_version "${jpeglib_h_content}")
set(jpeglib_version ${CMAKE_MATCH_1})
if ("${jpeglib_version}" STREQUAL "")
    # libjpeg-turbo keeps JPEG_LIB_VERSION in jconfig.h, not jpeglib.h :/
    find_file(JCONFIG_H jconfig.h PATHS "${JPEG_INCLUDE_DIR}")
    if (NOT EXISTS "${JCONFIG_H}")
        message(FATAL_ERROR "Could not find jconfig.h. You can specify its path with -DJCONFIG_H=/path/to/jconfig.h.")
    endif (NOT EXISTS "${JCONFIG_H}")
    message(STATUS "Looking for libjpeg version in ${JCONFIG_H}")
    file(READ "${JCONFIG_H}" jconfig_h_content)
    string(REGEX MATCH "#define +JPEG_LIB_VERSION +([0-9]+)" "\\1" jpeglib_version "${jconfig_h_content}")
    set(jpeglib_version ${CMAKE_MATCH_1})
endif ("${jpeglib_version}" STREQUAL "")

if ("${jpeglib_version}" LESS 80)
    set(GV_JPEG_DIR libjpeg-62)
endif ("${jpeglib_version}" LESS 80)

if ("${jpeglib_version}" EQUAL 80)
    set(GV_JPEG_DIR libjpeg-80)
endif ("${jpeglib_version}" EQUAL 80)

if ("${GV_JPEG_DIR}" STREQUAL "")
    message(FATAL_ERROR "Unknown libjpeg version: ${jpeglib_version}")
endif ("${GV_JPEG_DIR}" STREQUAL "")

message(STATUS "libjpeg version: ${jpeglib_version}")

add_definitions(-Dlibjpeg_EXPORTS)
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/${GV_JPEG_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${CMAKE_CURRENT_BINARY_DIR}
    ${SOPRANO_INCLUDE_DIR}
    ${EXIV2_INCLUDE_DIR}
    ${JPEG_INCLUDE_DIR}
    )

# For config-gwenview.h
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}/..
    )

set(gwenviewlib_SRCS
    crop/cropwidget.cpp
    crop/cropimageoperation.cpp
    crop/croptool.cpp
    document/abstractdocumentimpl.cpp
    document/documentjob.cpp
    document/animateddocumentloadedimpl.cpp
    document/document.cpp
    document/documentfactory.cpp
    document/documentloadedimpl.cpp
    document/emptydocumentimpl.cpp
    document/jpegdocumentloadedimpl.cpp
    document/loadingdocumentimpl.cpp
    document/loadingjob.cpp
    document/savejob.cpp
    document/svgdocumentloadedimpl.cpp
    document/videodocumentloadedimpl.cpp
    documentview/abstractdocumentviewadapter.cpp
    documentview/abstractimageview.cpp
    documentview/abstractrasterimageviewtool.cpp
    documentview/birdeyeview.cpp
    documentview/documentview.cpp
    documentview/documentviewcontroller.cpp
    documentview/documentviewsynchronizer.cpp
    documentview/loadingindicator.cpp
    documentview/messageviewadapter.cpp
    documentview/rasterimageview.cpp
    documentview/rasterimageviewadapter.cpp
    documentview/svgviewadapter.cpp
    documentview/videoviewadapter.cpp
    abstractimageoperation.cpp
    documentview/documentviewcontainer.cpp
    binder.cpp
    eventwatcher.cpp
    historymodel.cpp
    archiveutils.cpp
    datewidget.cpp
    exiv2imageloader.cpp
    flowlayout.cpp
    fullscreenbar.cpp
    fullscreentheme.cpp
    graphicshudbutton.cpp
    graphicshudlabel.cpp
    graphicshudslider.cpp
    graphicshudwidget.cpp
    graphicswidgetfloater.cpp
    imageformats/imageformats.cpp
    imageformats/jpegplugin.cpp
    imageformats/jpeghandler.cpp
    imagemetainfomodel.cpp
    imagescaler.cpp
    imageutils.cpp
    invisiblebuttongroup.cpp
    iodevicejpegsourcemanager.cpp
    jpegcontent.cpp
    semanticinfo/sorteddirmodel.cpp
    memoryutils.cpp
    messagebubble.cpp
    mimetypeutils.cpp
    paintutils.cpp
    placetreemodel.cpp
    preferredimagemetainfomodel.cpp
    print/printhelper.cpp
    print/printoptionspage.cpp
    slidecontainer.cpp
    slideshow.cpp
    statusbartoolbutton.cpp
    redeyereduction/redeyereductionimageoperation.cpp
    redeyereduction/redeyereductiontool.cpp
    resize/resizeimageoperation.cpp
    resize/resizeimagedialog.cpp
    thumbnailloadjob.cpp
    thumbnailview/abstractthumbnailviewhelper.cpp
    thumbnailview/abstractdocumentinfoprovider.cpp
    thumbnailview/contextbarbutton.cpp
    thumbnailview/itemeditor.cpp
    thumbnailview/previewitemdelegate.cpp
    thumbnailview/thumbnailbarview.cpp
    thumbnailview/thumbnailslider.cpp
    thumbnailview/thumbnailview.cpp
    thumbnailview/tooltipwidget.cpp
    timeutils.cpp
    transformimageoperation.cpp
    urlutils.cpp
    widgetfloater.cpp
    zoomslider.cpp
    zoomwidget.cpp
    ${GV_JPEG_DIR}/transupp.c
    )

if (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)
    set(gwenviewlib_SRCS
        ${gwenviewlib_SRCS}
        semanticinfo/abstractsemanticinfobackend.cpp
        semanticinfo/semanticinfodirmodel.cpp
        semanticinfo/tagitemdelegate.cpp
        semanticinfo/tagmodel.cpp
        semanticinfo/tagwidget.cpp
        )
endif (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)

if (GWENVIEW_SEMANTICINFO_BACKEND_FAKE)
    set(gwenviewlib_SRCS
        ${gwenviewlib_SRCS}
        semanticinfo/fakesemanticinfobackend.cpp
        )
endif (GWENVIEW_SEMANTICINFO_BACKEND_FAKE)

if (GWENVIEW_SEMANTICINFO_BACKEND_NEPOMUK)
    set(gwenviewlib_SRCS
        ${gwenviewlib_SRCS}
        semanticinfo/nepomuksemanticinfobackend.cpp
        )
endif (GWENVIEW_SEMANTICINFO_BACKEND_NEPOMUK)

set_source_files_properties(
    exiv2imageloader.cpp
    imagemetainfomodel.cpp
    PROPERTIES
    COMPILE_FLAGS "${KDE4_ENABLE_EXCEPTIONS}"
    )

kde4_add_ui_files(gwenviewlib_SRCS
    crop/cropwidget.ui
    documentview/messageview.ui
    print/printoptionspage.ui
    redeyereduction/redeyereductionwidget.ui
    resize/resizeimagewidget.ui
    )

kde4_add_kcfg_files(gwenviewlib_SRCS
    gwenviewconfig.kcfgc
    )
kde4_add_library(gwenviewlib SHARED ${gwenviewlib_SRCS})
set_target_properties(gwenviewlib PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
if(WIN32)
    set_target_properties( gwenviewlib PROPERTIES COMPILE_FLAGS -DJPEG_STATIC )
endif(WIN32)
target_link_libraries(gwenviewlib
    ${KDE4_KFILE_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_PHONON_LIBS}
    ${JPEG_LIBRARY}
    ${EXIV2_LIBRARIES}
    ${QT_QTOPENGL_LIBRARY}
    )
if( WIN32 )
target_link_libraries( gwenviewlib ${EXPAT_LIBRARIES} )
endif( WIN32 )

if (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)
    target_link_libraries(gwenviewlib
        ${NEPOMUK_LIBRARIES}
        ${SOPRANO_LIBRARIES}
        )
endif (NOT GWENVIEW_SEMANTICINFO_BACKEND_NONE)

install(TARGETS gwenviewlib ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
gwenview (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:38:29 +0200

gwenview (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:32:06 +0200

gwenview (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 20:11:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,23 @@
 Source: gwenview
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- libexiv2-dev, libjpeg-dev, libkipi-dev, libkonq5-dev,
- shared-desktop-ontologies (>= 0.8), libqt4-opengl-dev
-Standards-Version: 3.9.3
+ libexiv2-dev,
+ libjpeg-dev,
+ libkipi-dev,
+ libkonq5-dev,
+ shared-desktop-ontologies,
+ libqt4-opengl-dev
+Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/gwenview.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/gwenview.git
+Vcs-Bzr: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/gwenview.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/gwenview.git
 
 Package: gwenview
 Section: graphics
@@ -18,7 +25,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: kdegraphics-libs-data (<< 4:4.7.1~)
 Breaks: kdegraphics-libs-data (<< 4:4.7.1~)
-Recommends: kamera
 Suggests: svgpart
 Description: image viewer
  Gwenview is an image viewer, ideal for browsing and displaying a collection of

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=gwenview-dbg

## gwenview 4.9.0

=== debian/changelog ===
gwenview (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 16:59:10 +0100

gwenview (4:4.8.90-0ubuntu1) quantal; urgency=low

  [ Felix Geyer ]
  * New upstream beta release.

  [ Jonathan Riddell ]
  * Update .install file

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 22:01:17 +0200

gwenview (4:4.8.80-0ubuntu1) quantal; urgency=low

  * Merge with Debian git repository, no remaining changes.
  * New upstream beta release.
    - Update gwenview.install

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 06 Jun 2012 10:30:15 +0200

gwenview (4:4.8.3-0r0) UNRELEASED; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.3.
  * Add libqt4-opengl-dev to build-dependecies.
  * Update installed files.
  * Bump Standards-Version to 3.9.3: No further changes.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 06 Jan 2012 12:19:57 +0100

gwenview (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 20:11:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,11 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- libexiv2-dev,
- libjpeg-dev,
- libkipi-dev,
- libkonq5-dev,
- shared-desktop-ontologies,
- libqt4-opengl-dev
-Standards-Version: 3.9.2
+ libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.9.0), libkonq5-dev (>= 4:4.9.0),
+ shared-desktop-ontologies (>= 0.8), libqt4-opengl-dev
+Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Bzr: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview
@@ -25,6 +21,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: kdegraphics-libs-data (<< 4:4.7.1~)
 Breaks: kdegraphics-libs-data (<< 4:4.7.1~)
+Recommends: kamera
 Suggests: svgpart
 Description: image viewer
  Gwenview is an image viewer, ideal for browsing and displaying a collection of

## gwenview 4.9.1

=== debian/changelog ===
gwenview (4:4.9.1-0ubuntu1) quantal; urgency=low

  [ Harald Sitter ]
  * New upstream release

  [ Philip Muškovac ]
  * Change sonames from 4.9.0 to 4.9.* 

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:15:18 +0530

gwenview (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:46 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.9.0), libkonq5-dev (>= 4:4.9.0),
+ cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.9.1),
+ libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.9.1), libkonq5-dev (>= 4:4.9.1),
  shared-desktop-ontologies (>= 0.8), libqt4-opengl-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

## gwenview 4.9.2

=== debian/changelog ===
gwenview (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:09:48 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.9.1),
- libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.9.1), libkonq5-dev (>= 4:4.9.1),
+ cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.9.2),
+ libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.9.2), libkonq5-dev (>= 4:4.9.2),
  shared-desktop-ontologies (>= 0.8), libqt4-opengl-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

## gwenview 4.9.3

=== debian/changelog ===
gwenview (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:21:13 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.9.2),
- libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.9.2), libkonq5-dev (>= 4:4.9.2),
+ cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.9.3),
+ libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.9.3), libkonq5-dev (>= 4:4.9.3),
  shared-desktop-ontologies (>= 0.8), libqt4-opengl-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

## gwenview 4.9.4

=== debian/changelog ===
gwenview (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 00:43:03 +0100

gwenview (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:31:17 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.9.3),
- libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.9.3), libkonq5-dev (>= 4:4.9.3),
+ cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.9.4),
+ libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.9.3), libkonq5-dev (>= 4:4.9.4),
  shared-desktop-ontologies (>= 0.8), libqt4-opengl-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

## gwenview 4.9.5

=== debian/changelog ===
gwenview (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:19:27 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.9.4),
+ cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.9.5),
  libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.9.3), libkonq5-dev (>= 4:4.9.4),
  shared-desktop-ontologies (>= 0.8), libqt4-opengl-dev
 Standards-Version: 3.9.3

## gwenview 4.9.97

=== debian/changelog ===
gwenview (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:23:19 +0100

gwenview (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:14:50 +0000

gwenview (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
    - Add kubuntu_cmake_jpeg_multiarch_path.diff and follow upstream's
      implementation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:35:08 +0000

gwenview (4:4.9.80-0ubuntu1) raring; urgency=low

  * Update .install file
  * Add libkactivities-dev, liblcms2-dev, libpng12-dev to the build-deps
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:42:29 +0000

gwenview (4:4.8.3-0r0) raring; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.3.
  * Add libqt4-opengl-dev to build-dependecies.
  * Update installed files.
  * Bump Standards-Version to 3.9.3: No further changes.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 06 Jan 2012 12:19:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.9.5),
- libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.9.3), libkonq5-dev (>= 4:4.9.4),
- shared-desktop-ontologies (>= 0.8), libqt4-opengl-dev
+ cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.9.97),
+ libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.9.97), libkonq5-dev (>= 4:4.9.97),
+ shared-desktop-ontologies (>= 0.8), libqt4-opengl-dev,
+ libkactivities-dev (>= 4:4.9.97), liblcms2-dev, libpng12-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Bzr: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview

## gwenview 4.10.0

=== debian/changelog ===
gwenview (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:29:52 +0000

gwenview (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 14:55:02 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.9.97),
- libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.9.97), libkonq5-dev (>= 4:4.9.97),
+ cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.10.0),
+ libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.10.0), libkonq5-dev (>= 4:4.10.0),
  shared-desktop-ontologies (>= 0.8), libqt4-opengl-dev,
- libkactivities-dev (>= 4:4.9.97), liblcms2-dev, libpng12-dev
+ libkactivities-dev (>= 4:4.10.0), liblcms2-dev, libpng12-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Bzr: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview

## gwenview 4.10.2

=== debian/changelog ===
gwenview (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:35:22 +0200

gwenview (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:11:50 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.10.0),
- libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.10.0), libkonq5-dev (>= 4:4.10.0),
+ cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.10.2),
+ libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.10.2), libkonq5-dev (>= 4:4.10.2),
  shared-desktop-ontologies (>= 0.8), libqt4-opengl-dev,
- libkactivities-dev (>= 4:4.10.0), liblcms2-dev, libpng12-dev
+ libkactivities-dev (>= 4:4.10.2), liblcms2-dev, libpng12-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Bzr: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview

## gwenview 4.10.3

=== debian/changelog ===
gwenview (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:24 +0000

gwenview (4:4.10.2-1) experimental; urgency=low

  * New upstream release.

  [ Josep Febrer Salord ]
  * Bump kde-sc-dev-latest build dependency to 4:4.10.2.
  * Add libkactivities-dev, libpng-dev and liblcms2-dev build dependencies.
  * Disable build of unit tests.
  * Drop upstream_Catch-exceptions-from-Exiv2-when-gathering-meta-info.patch
    already applied upstream.
  * Update gwenview.install file.
  * Update copyright file.

  [ Sune Vuorela ]
  * Bump libkipi build-dep.
  * Add me to uploaders.

 -- Sune Vuorela <sune@debian.org>  Fri, 05 Apr 2013 23:27:47 +0000

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>
-Build-Depends: 
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.10.2),
- libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.10.2), libkonq5-dev (>= 4:4.10.2),
+Uploaders: Eshat Cakar <info@eshat.de>, Sune Vuorela <sune@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
+ cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
+ libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.10), libkonq5-dev,
  shared-desktop-ontologies (>= 0.8), libqt4-opengl-dev,
- libkactivities-dev (>= 4:4.10.2), liblcms2-dev, libpng12-dev
+ libkactivities-dev (>= 4:4.10), libpng-dev, liblcms2-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
-Vcs-Bzr: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/gwenview.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/gwenview.git

## gwenview 4.10.4

=== debian/changelog ===
gwenview (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Jun 2013 23:34:14 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders: Eshat Cakar <info@eshat.de>, Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.10), libkonq5-dev,
+ libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.10.4), libkonq5-dev,
  shared-desktop-ontologies (>= 0.8), libqt4-opengl-dev,
- libkactivities-dev (>= 4:4.10), libpng-dev, liblcms2-dev
+ libkactivities-dev (>= 4:4.10.4), libpng-dev, liblcms2-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview

## gwenview 4.11.1

=== debian/changelog ===
gwenview (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:04:45 +0100

gwenview (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:56:34 +0100

gwenview (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:03:46 +0100

gwenview (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:31:44 +0000

gwenview (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 17:58:23 +0100

gwenview (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release
    - Add nepomuk-core-dev to Build-Depends
    - Update install files

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 00:45:16 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
 Uploaders: Eshat Cakar <info@eshat.de>, Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.10.4), libkonq5-dev,
+ libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.11.1), libkonq5-dev (>= 4:4.11.1),
  shared-desktop-ontologies (>= 0.8), libqt4-opengl-dev,
- libkactivities-dev (>= 4:4.10.4), libpng-dev, liblcms2-dev
+ libkactivities-dev (>= 4:4.11.1), libpng-dev, liblcms2-dev,
+ nepomuk-core-dev (>= 4:4.11.1)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview

## gwenview 4.11.2

=== debian/changelog ===
gwenview (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 13:56:32 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Uploaders: Eshat Cakar <info@eshat.de>, Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.11.1), libkonq5-dev (>= 4:4.11.1),
+ libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.11.2), libkonq5-dev (>= 4:4.11.2),
  shared-desktop-ontologies (>= 0.8), libqt4-opengl-dev,
- libkactivities-dev (>= 4:4.11.1), libpng-dev, liblcms2-dev,
- nepomuk-core-dev (>= 4:4.11.1)
+ libkactivities-dev (>= 4:4.11.2), libpng-dev, liblcms2-dev,
+ nepomuk-core-dev (>= 4:4.11.2)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview

## gwenview 4.11.5

=== debian/changelog ===
gwenview (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:25:46 +0100

gwenview (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 15:37:18 +0000

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Uploaders: Eshat Cakar <info@eshat.de>, Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.11.2), libkonq5-dev (>= 4:4.11.2),
+ libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.11.2), libkonq5-dev (>= 4:4.11.3),
  shared-desktop-ontologies (>= 0.8), libqt4-opengl-dev,
- libkactivities-dev (>= 4:4.11.2), libpng-dev, liblcms2-dev,
- nepomuk-core-dev (>= 4:4.11.2)
+ libkactivities-dev (>= 4:4.11.3), libpng-dev, liblcms2-dev,
+ nepomuk-core-dev (>= 4:4.11.5)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview-13.10
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/gwenview.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/gwenview.git

## gwenview 4.11.97

=== debian/changelog ===
gwenview (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:29:35 +0000

gwenview (4:4.11.95-0ubuntu1) trusty; urgency=low

  [ Rohan Garg ]
  * New upstream beta release
  * Drop 0001-QWebView-include-was-leftover-drop-include.patch, applied upstream

  [ Harald Sitter ]
  * Add kubuntu_install_kipi_plugins.patch to install kipi-plugins when no
    plugins are available
    + Recommend qapt-batch (when not installed, on-demand install is not
      available)

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 25 Nov 2013 18:57:29 +0100

gwenview (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release
    - Update install files
    - Add 0001-QWebView-include-was-leftover-drop-include.patch to
      fix build without QtWebkit

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:26:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Uploaders: Eshat Cakar <info@eshat.de>, Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.11.2), libkonq5-dev (>= 4:4.11.3),
+ libexiv2-dev, libjpeg-dev, libkipi-dev (>= 4:4.11.97), libkonq5-dev (>= 4:4.11.97),
  shared-desktop-ontologies (>= 0.8), libqt4-opengl-dev,
- libkactivities-dev (>= 4:4.11.3), libpng-dev, liblcms2-dev,
- nepomuk-core-dev (>= 4:4.11.5)
+ libkactivities-dev (>= 4:4.11.97), libpng-dev, liblcms2-dev,
+ nepomuk-core-dev (>= 4:4.11.97)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/gwenview
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/gwenview.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/gwenview.git
 
@@ -23,7 +23,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: kdegraphics-libs-data (<< 4:4.7.1~)
 Breaks: kdegraphics-libs-data (<< 4:4.7.1~)
-Recommends: kamera
+Recommends: kamera, qapt-batch
 Suggests: svgpart
 Description: image viewer
  Gwenview is an image viewer, ideal for browsing and displaying a collection of
